#include "melodie.h"

void afficherListeMelodie(){
    // TODO
}

void afficherListeMotifs(){
    // TODO
}

void afficherMotifActuel(){
    // TODO
}

void definirCourant(int i){
    courant = i;
}

void ajouterMotifVirtuel(Motif* melodie[], int ind, Motif* m){
    for (int i = taille; i > ind; i--) {
        melodie[i] = melodie[i-1];
    }
    taille++;
    melodie[ind] = m;
}

void definirMotifVirtuel(Motif* melodie[], int ind, Motif* m){
    melodie[ind] = m;
}

void supprimerMotifVirtuel(Motif* melodie[], int ind){
    taille--;
    for (int i = ind; i < taille; i--) {
        melodie[i] = melodie[i+1];
    }
}
